## ansible-role-opendkim_postfix

Configure OpenDKIM in your Postfix server and optionally publish your domain(s) public key(s).
DKIM is a way of signing all your emails with your own key, ensuring other servers that the email is coming from a trustwhorthy (or a bit more trustworthy) server.
It relays on publishing the public key in DNS records.

# Requirements

An existing installation of Postfix.

# Installation

Add to your requirements.yml file a role entry like:
```yaml
  - name: opendkim_postfix
    src: ssh://git@repos.susurrando.com:7272/srv/git.repos/ansible-role-opendkim_postfix.git
    scm: git
```

# Usage

Create a playbook like:

```yaml
---
- name: Configure OpenDKIM in mail servers
  hosts: mail_servers[0]
  roles:
    - role: opendkim_postfix
```

Set at least a list of domain names with the variable mail_domains. If you have an OVH account for your DNS domains you can add the variables related (check defaults/main.yml).

# Credits

Antonio J. Delgado 2023 https://gitlab.com/antoniodelgado
